### Method

# Vips Region shrink_method

#### Declaration [src]

    int
    vips_region_shrink_method (
      VipsRegion* from,
      VipsRegion* to,
      const VipsRect* target,
      VipsRegionShrink method
    )

#### Description [src]

Write the pixels `target` in `to` from the x2 larger area in `from`. Non-complex uncoded images and LABQ only.

`method` selects the method used to do the 2x2 shrink.

See also

`vips_region_copy()`.

#### Parameters

`to`

  Type: `VipsRegion`

  Destination region.

  The argument will be modified by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`target`

  Type: `VipsRect`

  `VipsRect` of pixels you need to copy.

  The data is owned by the caller of the method.

`method`

  Type: `VipsRegionShrink`

  Method to use when generating target pixels.

#### Return value

Type: `int`

No description available.